Index: WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml	(revision 2361)
+++ WAeUP_SRP/fceokene/profiles/default/applicants_catalog.xml	(revision 2368)
@@ -33,4 +33,7 @@
  <column value="screening_type"/>
  <column value="screening_date"/>
+ <column value="screening_venue"/>
+ <column value="hq_type"/>
+ <column value="hq_grade"/>
  <column value="passport"/>
  <column value="status"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2361)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2368)
@@ -9,4 +9,66 @@
   <property name="validate_values_expr"></property>
 
+
+  <widget name="jamb_age" meta_type="String Widget">
+    <property name="title">Age (provided by JAMB)</property>
+    <property name="fields">
+      <element value="jamb_age"/>
+    </property>
+    <property name="label">Age (provided by JAMB)</property>
+    <property name="label_edit">Age (provided by JAMB)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="jamb_state" meta_type="String Widget">
+    <property name="title">State (provided by JAMB)</property>
+    <property name="fields">
+      <element value="jamb_state"/>
+    </property>
+    <property name="label">State (provided by JAMB)</property>
+    <property name="label_edit">State (provided by JAMB)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="jamb_lga" meta_type="String Widget">
+    <property name="title">LGA (provided by JAMB)</property>
+    <property name="fields">
+      <element value="jamb_lga"/>
+    </property>
+    <property name="label">LGA (provided by JAMB)</property>
+    <property name="label_edit">LGA (provided by JAMB)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
   <widget name="date_of_birth" meta_type="DateTime Widget">
     <property name="title">Date of Birth</property>
@@ -292,20 +354,20 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="lga" meta_type="WAeUP LGA Widget">
-    <property name="title">LGA</property>
-    <property name="fields">
-      <element value="lga"/>
-    </property>
-    <property name="label">LGA</property>
-    <property name="label_edit">LGA</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+ <widget name="lga" meta_type="Select Widget">
+  <property name="title">State/LGA</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">State/LGA</property>
+  <property name="label_edit">State/LGA (confirmed by applicant)</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">local_gov_areas</property>
+  <property name="sorted">True</property>
+ </widget>
   <widget name="middlenames" meta_type="String Widget">
     <property name="title">Middle Names</property>
@@ -546,4 +608,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
     <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
@@ -552,5 +615,5 @@
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
-      <element value="course2"/>
+      <element value="course3"/>
     </property>
     <property name="label">2nd Choice Course of Study</property>
@@ -563,6 +626,8 @@
     </property>
     <property name="hidden_layout_modes">
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
     <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
@@ -610,4 +675,38 @@
   </widget>
 
+  <widget name="hq_type" meta_type="Select Widget">
+    <property name="title">Higher Qualification</property>
+    <property name="fields">
+    <element value="hq_type"/>
+    </property>
+    <property name="label">Higher Qualification</property>
+    <property name="label_edit">Higher Qualification</property>
+    <property name="description">Higher Qualification Data</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+    <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_qual</property>
+  </widget>
+
+    
+  <widget name="hq_grade" meta_type="Select Widget">
+    <property name="title">Higher Qualification Grade</property>
+    <property name="fields">
+    <element value="hq_grade"/>
+    </property>
+    <property name="label">Higher Qualification Grade</property>
+    <property name="label_edit">Higher Qualification Grade</property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+    <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_grade</property>
+  </widget>
+
  <table>
   <row>
@@ -627,7 +726,20 @@
   </row>
   <row>
+   <cell name="jamb_age" ncols="2"/>
+  </row>
+  <row>
    <cell name="date_of_birth" ncols="2"/>
   </row>
   <row>
+   <cell name="jamb_state" ncols="2"/>
+  </row>
+  <row>
+   <cell name="jamb_lga" ncols="2"/>
+  </row>  
+  <row>
+   <cell name="lga" ncols="2"/>
+  </row>  
+  
+  <row>
    <cell name="sex" ncols="2"/>
   </row>
@@ -638,4 +750,11 @@
    <cell name="phone" ncols="2"/>
   </row>
+  <row>
+   <cell name="hq_type" ncols="2"/>
+  </row>
+  <row>
+   <cell name="hq_grade" ncols="2"/>
+  </row>      
+  
   <row>
    <cell name="eng_score" ncols="2"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2361)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2368)
@@ -30,10 +30,10 @@
   </widget>
   <widget name="jamb_state" meta_type="String Widget">
-    <property name="title">State as provided by JAMB</property>
+    <property name="title">State (provided by JAMB)</property>
     <property name="fields">
       <element value="jamb_state"/>
     </property>
-    <property name="label">State as provided by JAMB</property>
-    <property name="label_edit">State as provided by JAMB</property>
+    <property name="label">State (provided by JAMB)</property>
+    <property name="label_edit">State (provided by JAMB)</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -50,10 +50,10 @@
   </widget>
   <widget name="jamb_lga" meta_type="String Widget">
-    <property name="title">LGA as provided by JAMB</property>
+    <property name="title">LGA (provided by JAMB)</property>
     <property name="fields">
       <element value="jamb_lga"/>
     </property>
-    <property name="label">LGA as provided by JAMB</property>
-    <property name="label_edit">LGA as provided by JAMB</property>
+    <property name="label">LGA (provided by JAMB)</property>
+    <property name="label_edit">LGA (provided by JAMB)</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -360,10 +360,10 @@
   </widget>
  <widget name="lga" meta_type="Select Widget">
-  <property name="title">Confirm State/LGA</property>
+  <property name="title">State/LGA</property>
   <property name="fields">
    <element value="lga"/>
   </property>
-  <property name="label">Confirm State/LGA</property>
-  <property name="label_edit">Confirm State/LGA</property>
+  <property name="label">State/LGA</property>
+  <property name="label_edit">State/LGA (confirmed by applicant)</property>
   <property name="readonly_layout_modes">
   </property>
@@ -617,4 +617,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
     <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
@@ -637,4 +638,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
     <property name="vocabulary">cos</property>
     <property name="css_class_expr">string:row</property>
@@ -682,4 +684,40 @@
   </widget>
 
+  <widget name="hq_type" meta_type="Select Widget">
+    <property name="title">Higher Qualification</property>
+    <property name="fields">
+    <element value="hq_type"/>
+    </property>
+    <property name="label">Higher Qualification</property>
+    <property name="label_edit">Higher Qualification</property>
+    <property name="description">Higher Qualification Data</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+    <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_qual</property>
+  </widget>
+  
+ 
+  <widget name="hq_grade" meta_type="Select Widget">
+    <property name="title">Higher Qualification Grade</property>
+    <property name="fields">
+    <element value="hq_grade"/>
+    </property>
+    <property name="label">Higher Qualification Grade</property>
+    <property name="label_edit">Higher Qualification Grade</property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+    <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_grade</property>
+  </widget>
+
  <table>
   <row>
@@ -700,6 +738,4 @@
 
 
-
-
   <row>
    <cell name="jamb_state" ncols="2"/>
@@ -711,4 +747,11 @@
    <cell name="lga" ncols="2"/>
   </row>
+  
+  <row>
+   <cell name="hq_type" ncols="2"/>
+  </row>
+  <row>
+   <cell name="hq_grade" ncols="2"/>
+  </row>    
 
   <row>
Index: WAeUP_SRP/fceokene/profiles/default/schemas/application.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/schemas/application.xml	(revision 2361)
+++ WAeUP_SRP/fceokene/profiles/default/schemas/application.xml	(revision 2368)
@@ -36,3 +36,6 @@
  <field name="passport" meta_type="CPS String Field"/>
  <field name="status" meta_type="CPS String Field"/>
+  <field name="hq_type" meta_type="CPS String Field"/>
+ <field name="hq_grade" meta_type="CPS String Field"/>
+ <field name="screening_venue" meta_type="CPS String Field"/>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/high_grade.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/high_grade.xml	(revision 2361)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/high_grade.xml	(revision 2368)
@@ -6,5 +6,5 @@
     <property name="description"></property>
 
-    <item key="" msgid="">None</item>
+    <item key="" msgid=""></item>
     <item key="upper_credit" msgid="">Upper Credit</item>
     <item key="distinction" msgid="">Distinction</item>
@@ -18,4 +18,5 @@
     <item key="third_class" msgid="">Third Class</item>
     <item key="pass" msgid="">Pass </item>
-
+    <item key="a_rslt" msgid="">Awaiting Results </item>
+    <item key="al" msgid="">A Levels </item>
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/high_qual.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/high_qual.xml	(revision 2361)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/high_qual.xml	(revision 2368)
@@ -1,11 +1,11 @@
 <?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="high_qual" meta_type="CPS Vocabulary">
+  <?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+   <object name="high_qual" meta_type="CPS Vocabulary">
     <property name="title"></property>
     <property name="title_msgid"></property>
     <property name="description"></property>
     <property name="acl_write_roles">Manager</property>
-    
-    <item key="" msgid="">None</item>
+
+    <item key="" msgid=""></item>
     <item key="nce" msgid="">National Certificate Of Education</item>
     <item key="pre" msgid="">Pre Degree Programme</item>
@@ -18,5 +18,8 @@
     <item key="oc" msgid="">Other Certification</item>
     <item key="hnd" msgid="">Higher National Diploma</item>
-
-
+    <item key="nce_al_oth" msgid="">NCE AL OTH</item>
+    <item key="nda" msgid="">National Defence Academy</item>
+    <item key="a_rslt" msgid="">Awaiting Result</item>
+    <item key="rmc" msgid="">RMC</item>
+    <item key="not" msgid="">NOT</item>
 </object>