Index: WAeUP_SRP/uniben/profiles/default/vocabularies/aos.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/vocabularies/aos.xml	(revision 2375)
+++ WAeUP_SRP/uniben/profiles/default/vocabularies/aos.xml	(revision 2375)
@@ -0,0 +1,81 @@
+<?xml version="1.0"?>
+  <?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
+   <object name="aos" meta_type="CPS Vocabulary">
+    <property name="title"></property>
+    <property name="title_msgid"></property>
+    <property name="description"></property>
+    <property name="acl_write_roles">Manager</property>
+
+    <item key="" msgid=""></item>
+    <item key="as1" msgid="">AGRICULTURAL ECONOMICS</item>
+    <item key="as2" msgid="">ANIMAL SCIENCE</item>
+    <item key="as3" msgid="">CROP SCIENCE</item>
+    <item key="as4" msgid="">FISHERIES</item>
+    <item key="as5" msgid="">FORESTRY AND WILDLIFE</item>
+    <item key="as6" msgid="">ENGLISH AND LITERATURE</item>
+    <item key="as7" msgid="">FINE AND APPLIED ARTS</item>
+    <item key="as8" msgid="">FOREIGN LANGUAGES</item>
+    <item key="as9" msgid="">HISTORY</item>
+    <item key="as10" msgid="">IGBO LANGUAGE</item>
+    <item key="as11" msgid="">INTERNATIONAL STUDIES</item>
+    <item key="as12" msgid="">LINGUSTICS AND AFRICAN LANGUAGES</item>
+    <item key="as13" msgid="">MASS COMMUNICATION</item>
+    <item key="as14" msgid="">PHILOSOPHY</item>
+    <item key="as15" msgid="">RELIGIOUS STUDIES</item>
+    <item key="as16" msgid="">THEATRE ARTS</item>
+    <item key="as17" msgid="">ANATOMY</item>
+    <item key="as18" msgid="">MEDICAL BIOCHEMISTRY</item>
+    <item key="as19" msgid="">MEDICAL LAB SCIENCE</item>
+    <item key="as20" msgid="">NURSING</item>
+    <item key="as21" msgid="">ACCOUNTING EDUCATION</item>
+    <item key="as22" msgid="">ADULT EDUCATION</item>
+    <item key="as23" msgid="">EDUCATION AGRICULTURE</item>
+    <item key="as24" msgid="">EDUCATION BIOLOGY</item>
+    <item key="as25" msgid="">EDUCATION BUSINESS</item>
+    <item key="as26" msgid="">EDUCATION CHEMISTRY</item>
+    <item key="as27" msgid="">EDUCATION COMPUTER</item>
+    <item key="as28" msgid="">EDUCATION ECONOMICS AND STATISTICS</item>
+    <item key="as29" msgid="">EDUCATION ENGLISH</item>
+    <item key="as30" msgid="">EDUCATION GEOGRAPHY</item>
+    <item key="as31" msgid="">EDUCATION HEALTH EDUCATION</item>
+    <item key="as32" msgid="">EDUCATION HOME ECONS</item>
+    <item key="as33" msgid="">EDUCATION INTEGRATED SCIENCE</item>
+    <item key="as34" msgid="">EDUCATION MATHEMATICS</item>
+    <item key="as35" msgid="">EDUCATION PHYSICS</item>
+    <item key="as36" msgid="">EDUCATION POL SCIENCE AND PUB ADMIN</item>
+    <item key="as37" msgid="">EDUCATION SECRETARIAL</item>
+    <item key="as38" msgid="">EDUCATION SOCIAL STUDIES</item>
+    <item key="as39" msgid="">EDUCATION TECHNICAL</item>
+    <item key="as40" msgid="">EDUCATION ELECT/ELECT </item>
+    <item key="as41" msgid="">PHYSICAL EDUCATION</item>
+    <item key="as42" msgid="">CHEMICAL ENGINEERING</item>
+    <item key="as43" msgid="">CIVIL ENGINEERING</item>
+    <item key="as44" msgid="">COMPUTER ENGINEERING</item>
+    <item key="as45" msgid="">ELECT/ELECT ENGINEERING</item>
+    <item key="as46" msgid="">MECHANICAL ENGINEERING</item>
+    <item key="as47" msgid="">NURSING AND MEDICAL LAB SCIENCE</item>
+    <item key="as48" msgid="">PETROLEUM ENGINEERING</item>
+    <item key="as49" msgid="">PRODUCTION ENGINEERING</item>
+    <item key="as50" msgid="">LAW</item>
+    <item key="as51" msgid="">ANIMAL AND ENVIRONMENTAL BIOLOGY</item>
+    <item key="as52" msgid="">BIOCHEMISTRY</item>
+    <item key="as53" msgid="">BOTANY</item>
+    <item key="as54" msgid="">OPTOMETRY</item>
+    <item key="as55" msgid="">MICROBIOLOGY</item>
+    <item key="as56" msgid="">MEDICINE AND SURGERY</item>
+    <item key="as57" msgid="">ACCOUNTING</item>
+    <item key="as58" msgid="">BANKING AND FINANCE</item>
+    <item key="as59" msgid="">BUSINESS ADMINISTRATION</item>
+    <item key="as60" msgid="">PHARMACY</item>
+    <item key="as61" msgid="">CHEMISTRY</item>
+    <item key="as62" msgid="">COMPUTER SCIENCE</item>
+    <item key="as63" msgid="">GEOLOGY</item>
+    <item key="as64" msgid="">INDUSTRIAL MATHEMATICS</item>
+    <item key="as65" msgid="">INDUSTRIAL PHYSICS</item>
+    <item key="as66" msgid="">MATHEMATICS</item>
+    <item key="as67" msgid="">MATHEMATICS $ ECONOMICS</item>
+    <item key="as68" msgid="">ECONOMICS AND STATISTICS</item>
+    <item key="as69" msgid="">GEO AND REG PLANING</item>
+    <item key="as70" msgid="">POL SCI AND PUB ADM</item>
+    <item key="as71" msgid="">SOCIOLOGY AND ANTHROPOLOGY</item>
+</object>