Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/exam_subjects.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/exam_subjects.xml	(revision 2396)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/exam_subjects.xml	(revision 2397)
@@ -7,13 +7,22 @@
 
   <item key="" msgid="">None</item>
+  <item key="Accounts" msgid="">Accounts</item>
+  <item key="Add_General_Science" msgid="">Add General Science</item>
+  <item key="Add_Maths" msgid="">Add Maths</item>	
   <item key="Agricultural_Science" msgid="">Agricultural Science</item>
   <item key="Applied_Electricity" msgid="">Applied Electricity</item>
-  <item key="Arabi" msgid="">Arabi</item>
+  <item key="Arabic" msgid="">Arabic</item>
+  <item key="Arithmetics" msgid="">Arithmetics</item>
+  <item key="Art" msgid="">Art</item>
   <item key="Auto_Mechanics" msgid="">Auto Mechanics</item>
+  <item key="Basic_Electricity" msgid="">Basic Electricity</item>
+  <item key="Bible_Knowledge" msgid="">Bible Knowledge</item>
   <item key="Biology" msgid="">Biology</item>
+  <item key="Biology_Alt_Syl" msgid="">Biology (Alt.Syl)</item>
   <item key="Book_Keeping" msgid="">Book Keeping</item>
   <item key="Building_Construction" msgid="">Building Construction</item>
   <item key="Business_Management" msgid="">Business Management</item>
   <item key="Chemistry" msgid="">Chemistry</item>
+  <item key="Chemistry_Alt_Syl" msgid="">Chemistry (Alt.Syl)</item>
   <item key="Christian_Religious_Studies" msgid="">Christian Religious Studies</item>
   <item key="Clerical_Office_Duties" msgid="">Clerical Office Duties</item>
@@ -22,5 +31,7 @@
   <item key="Economics" msgid="">Economics</item>
   <item key="Education" msgid="">Education</item>
+  <item key="Efik" msgid="">Efik</item>
   <item key="Electronics" msgid="">Electronics</item>
+  <item key="Elementary_surveying" msgid="">Elementary Surveying</item>
   <item key="English_Language" msgid="">English Language</item>
   <item key="Engineering_Science" msgid="">Engineering Science</item>
@@ -29,6 +40,10 @@
   <item key="French" msgid="">French</item>
   <item key="Further_Mathematics" msgid="">Further Mathematics</item>
+  <item key="General_Science" msgid="">General Science</item>
   <item key="Geography" msgid="">Geography</item>
+  <item key="German" msgid="">German</item>
   <item key="Government" msgid="">Government</item>
+  <item key="Hausa" msgid="">Hausa</item>
+  <item key="Hausa_Literature" msgid="">Hausa Literature</item>
   <item key="Health_Science" msgid="">Health Science</item>
   <item key="History" msgid="">History</item>
@@ -38,7 +53,8 @@
   <item key="Literature_in_English" msgid="">Literature in English</item>
   <item key="Literature_in_Nigerian_Languages" msgid="">Literature in Nigerian Languages</item>
-  <item key="Hausa" msgid="">Hausa</item>
   <item key="Igbo" msgid="">Igbo</item>
+  <item key="Igbo_Literature" msgid="">Igbo Literature</item>
   <item key="Yoruba" msgid="">Yoruba</item>
+  <item key="Yoruba_literature" msgid="">Yoruba Literature</item>
   <item key="Management_in_Living" msgid="">Management in Living</item>
   <item key="Mathematics" msgid="">Mathematics</item>
@@ -49,5 +65,7 @@
   <item key="Physical_Health_Education" msgid="">Physical and Health Education</item>
   <item key="Physics" msgid="">Physics</item>
+  <item key="Physics_Alt_Syl" msgid="">Physics (Alt.Syl)</item>
   <item key="Principles_of_Cost_Accounting" msgid="">Principles of Cost Accounting</item>
+  <item key="Rural_Science" msgid="">Rural Science</item>
   <item key="Science" msgid="">Science</item>
   <item key="Shorthand" msgid="">Shorthand</item>
@@ -55,4 +73,5 @@
   <item key="Sierra_Leone_Languages" msgid="">Sierra Leone Languages</item>
   <item key="Social_Studies" msgid="">Social Studies</item>
+  <item key="Statistics" msgid="">Statistics</item>
   <item key="Teaching_Practice" msgid="">Teaching Practice</item>
   <item key="Technical_Drawing" msgid="">Technical Drawing</item>