Index: /WAeUP_SRP/base/skins/waeup_utilities/remove_students.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_utilities/remove_students.py	(revision 2399)
+++ /WAeUP_SRP/base/skins/waeup_utilities/remove_students.py	(revision 2400)
@@ -38,9 +38,9 @@
 students = []
 #set_trace()
-psm = 'nothing done'
+psm = ''
 deleted_list = []
 if delete:
     if not ids:
-        psm = "nothing checked"
+        psm = "Nothing selected!"
     else:
         for student_id in ids:
@@ -52,4 +52,5 @@
                 logger.info("No student object for %s" % (student_id))
                 continue
+            deleted_list.append(student_id)
             # remove from directory
             if hasattr(stdir, student_id):
@@ -60,7 +61,7 @@
                 continue
             context.waeup_tool.removePictureFolder(student_id)
-            deleted_list.append(student_id)
             
-        psm = "%s deleted" % ' '.join(deleted_list)
+
+        psm = "%s removed" % ' '.join(deleted_list)
 if student_ids:
     brains = aq_students(In('id',student_ids))
Index: /WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt	(revision 2399)
+++ /WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt	(revision 2400)
@@ -11,6 +11,7 @@
     </span>
     <span tal:condition="allowed" tal:omit-tag="">
-      <h3> Remove Student Section</h3><br />
+      <h3> Remove Student Records</h3><br />
       You are logged in as member <span tal:replace="info/member|nothing" /> 
+      <br /><br />
       <form action="remove_students" method="post"
             enctype="multipart/form-data" class="workflow">
@@ -23,5 +24,5 @@
                        id="widget__search_string_widget">
                     <div class="label">
-                      <label for="search_string">provide a list of student ids  to remove</label>
+                      <label for="search_string">Student Ids to be removed</label> (space-separated list)
                     </div>
                     <div class="field">
@@ -40,4 +41,5 @@
           </div>        
         </div>
+        <br /><br />
         <span tal:condition="students">
           <span
@@ -98,23 +100,22 @@
                 </span>
               </span>
-              <tr>
-                <td align="left" valign="top" rowspan="3"></td>
-                <td align="left" valign="top">
-                  <span tal:condition="is_so">
-                    <input type="button" value="button_select_all" class="context"
-                           onclick="someJavaScriptFunctionThatWillBeReplaced"
-                           i18n:attributes="value"
-                           tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                           % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                           />
-                    <input type="submit" name="delete" value="Delete checked"
-                           class="destructive"
-                           tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                           (cpsmcat('description_confirm_delete'), )" 
-                           />
-                  </span>
-                </td>
-              </tr>
             </table>
+            
+            <br />
+
+            <div tal:condition="is_so">
+              <input type="button" value="button_select_all" class="context"
+                     onclick="someJavaScriptFunctionThatWillBeReplaced"
+                     i18n:attributes="value"
+                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                     />
+              <input type="submit" name="delete" value="Remove selected"
+                     class="destructive"
+                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                     (cpsmcat('description_confirm_delete'), )" 
+                     />
+            </div>
+
             <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
               <div class="pageNavigationLayout">