Index: WAeUP_SRP/base/skins/waeup_utilities/remove_students.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/remove_students.py	(revision 2400)
+++ 	(revision )
@@ -1,95 +1,0 @@
-## Script (Python) "remove_students"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=REQUEST
-##title=
-##
-# $Id$
-"""
-remove a list of students
-"""
-try:
-    from Products.zdb import set_trace
-except:
-    def set_trace():
-        pass
-
-import logging
-logger = logging.getLogger('Skins.remove_students')
-from Products.AdvancedQuery import Eq, Between, Le,In
-#aq_portal = context.portal_catalog_real.evalAdvancedQuery
-aq_students = context.students_catalog.evalAdvancedQuery
-students_folder = context.portal_url.getPortalObject().campus.students
-stdir = context.portal_directories.students
-mtool = context.portal_membership
-member = mtool.getAuthenticatedMember()
-rget = REQUEST.form.get
-info = {}
-info['member'] = member
-info['is_so'] = context.isSectionOfficer()
-ids = info['choosen_ids'] = rget('ids',[])
-search_list = rget('search_string','')
-delete = rget('delete',None)
-info['search_string'] = search_list
-student_ids = search_list.split()
-students = []
-#set_trace()
-psm = ''
-deleted_list = []
-if delete:
-    if not ids:
-        psm = "Nothing selected!"
-    else:
-        for student_id in ids:
-            logger.info("%s deletes student %s" % (member,student_id))
-            if hasattr(students_folder,student_id):
-                students_folder.manage_delObjects((student_id),)
-                logger.info("%s deleted student object for %s" % (member,student_id))
-            else:
-                logger.info("No student object for %s" % (student_id))
-                continue
-            deleted_list.append(student_id)
-            # remove from directory
-            if hasattr(stdir, student_id):
-                stdir.deleteEntry(student_id)
-                logger.info("%s deleted Student directory for %s" % (member,student_id))
-            else:
-                logger.info("No Student directory for %s" % (student_id))
-                continue
-            context.waeup_tool.removePictureFolder(student_id)
-            
-
-        psm = "%s removed" % ' '.join(deleted_list)
-if student_ids:
-    brains = aq_students(In('id',student_ids))
-    brains_dict = {}
-    if brains:
-        for b in brains:
-            brains_dict[b.id] = b
-    for student_id in student_ids:
-        student = {}
-        student['deleted'] = delete and student_id in ids
-        if student_id in brains_dict.keys():
-            student['found'] = True
-            student['id'] = brains_dict[student_id].id
-            student['jamb_reg_no'] = brains_dict[student_id].jamb_reg_no
-            student['name'] = brains_dict[student_id].name
-            student['matric_no'] = brains_dict[student_id].matric_no
-        else:
-            student['found'] = False
-            student['id'] = student_id
-            student['jamb_reg_no'] = ""
-            student['name'] = "not found"
-            student['matric_no'] = ''
-        student['show_checkbox'] = not student['deleted'] and student['found']
-        students.append(student)
-
-
-return context.remove_students_form(info = info,
-                                    students = students,
-                                    allowed = True,
-                                    psm = psm,
-                                    )
Index: WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt	(revision 2400)
+++ WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt	(revision 2402)
@@ -2,5 +2,4 @@
            students options/students;
            info options/info|nothing;
-           is_so info/is_so;
            allowed options/allowed|nothing;"
            >
@@ -76,6 +75,5 @@
                   <tr tal:condition="student" 
                       tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
-                    <td align="left" valign="middle" style="width: 5px;" 
-                        tal:condition="is_so">
+                    <td align="left" valign="middle" style="width: 5px;">
                       <input type="checkbox" name="ids:list" value="" id="" class="noborder"
                              tal:condition="student/show_checkbox"
@@ -104,17 +102,17 @@
             <br />
 
-            <div tal:condition="is_so">
-              <input type="button" value="button_select_all" class="context"
-                     onclick="someJavaScriptFunctionThatWillBeReplaced"
-                     i18n:attributes="value"
-                     tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                     % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                     />
-              <input type="submit" name="delete" value="Remove selected"
-                     class="destructive"
-                     tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                     (cpsmcat('description_confirm_delete'), )" 
-                     />
-            </div>
+            
+            <input type="button" value="button_select_all" class="context"
+                   onclick="someJavaScriptFunctionThatWillBeReplaced"
+                   i18n:attributes="value"
+                   tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
+                   % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
+                   />
+            <input type="submit" name="delete" value="Remove selected"
+                   class="destructive"
+                   tal:attributes="onclick python:'return window.confirm(\'%s\')' %
+                   (cpsmcat('description_confirm_delete'), )" 
+                   />
+           
 
             <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">