Index: WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2405)
+++ WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2406)
@@ -45,5 +45,4 @@
   <object name="student_personal_fe" meta_type="CPS Layout"/>
   <object name="student_password" meta_type="CPS Layout"/>
-  <object name="student_pume" meta_type="CPS Layout"/>
   <object name="student_pume_fe" meta_type="CPS Layout"/>
   <object name="student_schoolfee" meta_type="CPS Layout"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_pume.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_pume.xml	(revision 2405)
+++ 	(revision )
@@ -1,66 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_pume" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
-
- <widget name="pume_eng_score" meta_type="Float Widget">
-  <property name="title">PUME English Score</property>
-  <property name="fields">
-   <element value="pume_eng_score"/>
-  </property>
-  <property name="label">PUME English Score</property>
-  <property name="label_edit">PUME English Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_gen_score" meta_type="Float Widget">
-  <property name="title">PUME General Score</property>
-  <property name="fields">
-   <element value="pume_gen_score"/>
-  </property>
-  <property name="label">PUME General Score</property>
-  <property name="label_edit">PUME General Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_math_score" meta_type="Float Widget">
-  <property name="title">PUME Mathematics Score</property>
-  <property name="fields">
-   <element value="pume_math_score"/>
-  </property>
-  <property name="label">PUME Mathematics Score</property>
-  <property name="label_edit">PUME Mathematics Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_tot_score" meta_type="String Widget">
-  <property name="title">PUME Total Score</property>
-  <property name="fields">
-   <element value="pume_tot_score"/>
-  </property>
-  <property name="label">PUME Total Score</property>
-  <property name="label_edit">PUME Total Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <table>
-  <row>
-   <cell name="pume_tot_score" ncols="1"/>
-  </row>
- </table>
-</object>
-
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_pume_fe.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_pume_fe.xml	(revision 2405)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_pume" meta_type="CPS Layout">
- <property name="layout_create_method"></property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_pume_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
-
- <widget name="pume_eng_score" meta_type="Float Widget">
-  <property name="title">PUME English Score</property>
-  <property name="fields">
-   <element value="pume_eng_score"/>
-  </property>
-  <property name="label">PUME English Score</property>
-  <property name="label_edit">PUME English Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_gen_score" meta_type="Float Widget">
-  <property name="title">PUME General Score</property>
-  <property name="fields">
-   <element value="pume_gen_score"/>
-  </property>
-  <property name="label">PUME General Score</property>
-  <property name="label_edit">PUME General Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_math_score" meta_type="Float Widget">
-  <property name="title">PUME Mathematics Score</property>
-  <property name="fields">
-   <element value="pume_math_score"/>
-  </property>
-  <property name="label">PUME Mathematics Score</property>
-  <property name="label_edit">PUME Mathematics Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="view"/>
-  </property>    
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="pume_tot_score" meta_type="String Widget">
-  <property name="title">PUME Total Score</property>
-  <property name="fields">
-   <element value="pume_tot_score"/>
-  </property>
-  <property name="label">PUME Total Score</property>
-  <property name="label_edit">PUME Total Score</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
-
- <table>
-  <row>
-   <cell name="pume_tot_score" ncols="1"/>
-  </row>
- </table>
-</object>
-
Index: WAeUP_SRP/uniben/profiles/default/schemas.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2405)
+++ WAeUP_SRP/uniben/profiles/default/schemas.xml	(revision 2406)
@@ -34,5 +34,4 @@
  <object name="student_create" meta_type="CPS Schema"/>
  <object name="student_personal" meta_type="CPS Schema"/>
- <object name="student_pume" meta_type="CPS Schema"/>
  <object name="student_returning" meta_type="CPS Schema"/>
  <object name="student_search" meta_type="CPS Schema"/>
Index: WAeUP_SRP/uniben/profiles/default/schemas/student_pume.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/student_pume.xml	(revision 2405)
+++ 	(revision )
@@ -1,8 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="schema.xsl"?>
-<object name="student_pume" meta_type="CPS Schema">
- <field name="pume_eng_score" meta_type="CPS Float Field"/>
- <field name="pume_gen_score" meta_type="CPS Float Field"/>
- <field name="pume_math_score" meta_type="CPS Float Field"/>
- <field name="pume_tot_score" meta_type="CPS String Field"/>
-</object>
Index: WAeUP_SRP/uniben/profiles/default/types.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/types.xml	(revision 2405)
+++ WAeUP_SRP/uniben/profiles/default/types.xml	(revision 2406)
@@ -24,5 +24,4 @@
  <object name="StudentCourseResult" meta_type="CPS Flexible Type Information"/>
  <object name="StudentPersonal" meta_type="CPS Flexible Type Information"/>
- <object name="StudentPume" meta_type="CPS Flexible Type Information"/>
  <object name="StudentApplication" meta_type="CPS Flexible Type Information"/>
  <object name="StudentSemester" meta_type="CPS Flexible Type Information"/>
Index: WAeUP_SRP/uniben/profiles/default/types/StudentPume.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/types/StudentPume.xml	(revision 2405)
+++ 	(revision )
@@ -1,41 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="types.xsl"?>
-<object name="StudentPume" meta_type="CPS Flexible Type Information"
-   xmlns:i18n="http://xml.zope.org/namespaces/i18n">
- <property name="title">WAeUP Student PUME Data</property>
- <property name="description"></property>
- <property name="content_icon"></property>
- <property name="content_meta_type">StudentPume</property>
- <property name="product">WAeUP_SRP</property>
- <property name="factory">addStudentPume</property>
- <property name="immediate_view">waeup_document_view</property>
- <property name="global_allow">True</property>
- <property name="filter_content_types">True</property>
- <property name="allowed_content_types"/>
- <property name="allow_discussion">False</property>
- <property name="cps_is_searchable">False</property>
- <property name="cps_proxy_type">folder</property>
- <property name="cps_display_as_document_in_listing">True</property>
- <property name="schemas">
-  <element value="student_pume"/>
- </property>
- <property name="layouts">
-  <element value="student_pume"/>
- </property>
- <property name="layout_clusters"/>
- <property name="flexible_layouts"/>
- <property name="storage_methods"/>
- <property name="cps_is_portlet">False</property>
- <alias from="(Default)" to="student_index"/>
- <alias from="view" to="student_index"/>
- <action title="View" action_id="view" category="object"
-    condition_expr="" url_expr="string:${object_url}/student_index"
-    visible="True">
-  <permission value="View"/>
- </action>
- <action title="action_edit" action_id="edit" category="object"
-    condition_expr="" url_expr="string:${object_url}/waeup_edit_form"
-    visible="True">
-  <permission value="Modify portal content"/>
- </action>
-</object>