Index: WAeUP_SRP/base/skins/waeup_utilities/removeImagesFromZODB.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/removeImagesFromZODB.py	(revision 2402)
+++ WAeUP_SRP/base/skins/waeup_utilities/removeImagesFromZODB.py	(revision 2419)
@@ -43,5 +43,5 @@
 stool = context.portal_schemas
 schemas = ['student_application',
-           'student_clearance',
+           #'student_clearance',
           ]
 students_folder = context.portal_url.getPortalObject().campus.students
@@ -69,5 +69,5 @@
         try:
             doc.manage_delObjects(ids)
-            #logger.info("removed %s images " % (student.id))
+            logger.info("removed %s images " % (student.id))
         except:
             set_trace()
Index: WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_utilities/remove_students_form.pt	(revision 2402)
+++ 	(revision )
@@ -1,161 +1,0 @@
-<tal:block tal:define="portal_status_message options/psm;
-           students options/students;
-           info options/info|nothing;
-           allowed options/allowed|nothing;"
-           >
-<metal:body use-macro="here/main_template/macros/master">
-  <metal:main fill-slot="main">
-    <span tal:condition="not: allowed">
-      <span tal:content="here/illegal_view" />
-    </span>
-    <span tal:condition="allowed" tal:omit-tag="">
-      <h3> Remove Student Records</h3><br />
-      You are logged in as member <span tal:replace="info/member|nothing" /> 
-      <br /><br />
-      <form action="remove_students" method="post"
-            enctype="multipart/form-data" class="workflow">
-        <div class="">
-          <div class="documentFields">
-            <table width="" cellpadding="2" cellspacing="2" summary="Form layout">
-              <tr valign="top">
-                <td colspan="1">
-                  <div class=""
-                       id="widget__search_string_widget">
-                    <div class="label">
-                      <label for="search_string">Student Ids to be removed</label> (space-separated list)
-                    </div>
-                    <div class="field">
-                      <input name="search_string" 
-                             type="text" 
-                             id="search_string" 
-                             value="" 
-                             size="80" 
-                             tal:attributes="value info/search_string"/>
-                    </div>
-                  </div>
-                </td>
-              </tr>
-            </table>
-            <input type="submit" class="standalone" name="cpsdocument_edit_button" value="Search" />
-          </div>        
-        </div>
-        <br /><br />
-        <span tal:condition="students">
-          <span
-            tal:define="items students;
-            columns python:3;
-            items_per_page python:40;
-            max_items python:300;
-            zoom python:0;
-            batches_all python:here.getBatchList(items,columns, items_per_page,zoom,max_items=400);
-            batches python:batches_all[0];
-            batch_info python:batches_all[1];
-            zoomed python:batches_all[2];
-            mq nocall:modules/ZTUtils/make_query;"
-            tal:omit-tag=""
-            >
-          <tal:block tal:condition="python: items and batch_info and batch_info['nb_pages'] > 1">
-            <div class="batchLayout">
-              <span i18n:translate="">
-                Objects: 
-                <strong>
-                  <tal:block replace="batch_info/start"
-                             i18n:name="batch_start" /> - <tal:block replace="batch_info/limit"
-                                                                     i18n:name="batch_limit" />
-                </strong>
-                of <tal:block replace="batch_info/length"
-                              i18n:name="batch_length" />
-              </span>
-            </div>
-            <br />
-          </tal:block>
-            <table class="contentListing" width="100%">
-              <span tal:repeat="rows batches" tal:omit-tag="">
-                <span tal:repeat="student rows">
-                  <tr tal:condition="student" 
-                      tal:attributes="class python:test(repeat['student'].even(), 'even ajaxtd', 'odd ajaxtd')">
-                    <td align="left" valign="middle" style="width: 5px;">
-                      <input type="checkbox" name="ids:list" value="" id="" class="noborder"
-                             tal:condition="student/show_checkbox"
-                             tal:define="id student/id"
-                             tal:attributes="value id;
-                             id python:'cb_' + id;
-                             checked python:id in info['choosen_ids'];" 
-                             />
-                    </td>
-                    <td>
-                      <a href="id" tal:condition="student/show_checkbox" 
-                         tal:attributes="href string:${context/portal_url}/campus/students/${student/id}"
-                         tal:content="student/id"></a>
-                      <span tal:content="student/id" tal:condition="not: student/show_checkbox" tal:omit-tag="" />
-                    </td>    
-                    <td>
-                      <span tal:replace="student/name" />
-                    </td>    
-                    <td><span tal:replace="student/matric_no" /></td>   
-                    <td><span tal:replace="student/jamb_reg_no" /></td>
-                  </tr>
-                </span>
-              </span>
-            </table>
-            
-            <br />
-
-            
-            <input type="button" value="button_select_all" class="context"
-                   onclick="someJavaScriptFunctionThatWillBeReplaced"
-                   i18n:attributes="value"
-                   tal:attributes="onclick python:'toggleSelect(this, \'%s\', \'%s\')'
-                   % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
-                   />
-            <input type="submit" name="delete" value="Remove selected"
-                   class="destructive"
-                   tal:attributes="onclick python:'return window.confirm(\'%s\')' %
-                   (cpsmcat('description_confirm_delete'), )" 
-                   />
-           
-
-            <tal:block condition="python:batch_info and batch_info['nb_pages'] > 1">
-              <div class="pageNavigationLayout">
-                <a tal:define="previous batch_info/previous"
-                   tal:condition="python:previous is not None"
-                   tal:attributes="href python:'%s?%s'%(request['URL'],
-                   mq(request.form, b_start=0))"
-                   >
-                (&lt;&lt;)</a>
-                <a tal:define="previous batch_info/previous"
-                   tal:condition="python:previous is not None"
-                   tal:attributes="href python:'%s?%s'%(request['URL'],
-                   mq(request.form, b_start=previous))"
-                   i18n:translate="batch_previous">Previous</a>
-                <tal:block repeat="page batch_info/pages">
-                  <tal:block condition="python:page != batch_info['start'] - 1">
-                    <a tal:attributes="href python:'%s?%s'%(request['URL'],
-                    mq(request.form, b_start=page))"
-                    tal:content="repeat/page/number">1</a>&nbsp;
-                  </tal:block>
-                  <tal:block condition="python:page == batch_info['start'] - 1">
-                    <span tal:content="string:${repeat/page/number}" />&nbsp;
-                  </tal:block>
-                </tal:block>
-                <a tal:define="next batch_info/next"
-                   tal:condition="python:next is not None"
-                   tal:attributes="href python:'%s?%s'%(request['URL'],
-                   mq(request.form, b_start=next))"
-                   i18n:translate="batch_next">Next</a>
-                <a tal:define="next batch_info/next;
-                last_page python:batch_info['pages'][-1]"
-                tal:condition="python:next is not None"
-                tal:attributes="href python:'%s?%s'%(request['URL'],
-                mq(request.form, b_start=last_page))"
-                >
-                (&gt;&gt;)</a>
-              </div>
-            </tal:block>
-          </span>
-        </span>
-      </form>
-    </span>
-  </metal:main>
-</metal:body>
-</tal:block>