Index: /WAeUP_SRP/base/skins/waeup_statistics/getNewStudentStatistics.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/getNewStudentStatistics.py	(revision 2430)
+++ /WAeUP_SRP/base/skins/waeup_statistics/getNewStudentStatistics.py	(revision 2431)
@@ -18,9 +18,9 @@
 logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 if not context.isStaff():
-    return 'Not allowed'
+    return
 
 entry_sessions = ('-1','06','6')
 
-# students with entry_session None (-1) are interprteted as new AND returning students if they are 
+# students with entry_session None (-1) are interprteted as new AND returning students if they are
 # in either of the last three states
 
@@ -65,5 +65,5 @@
     else:
         dict[statepercent] = 0
-        
+
     # part_time
     res_pt = context.students_catalog(entry_session = entry_sessions, review_state = state,  mode = part_time)
@@ -74,6 +74,6 @@
         dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
     else:
-        dict[statepercent] = 0        
-        
+        dict[statepercent] = 0
+
 l.append(dict)
 
@@ -86,5 +86,5 @@
     dict['total_ft'] = len(res_ft)
     res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, mode = part_time)
-    dict['total_pt'] = len(res_pt)    
+    dict['total_pt'] = len(res_pt)
     for state in new_states:
         # full_time
@@ -97,5 +97,5 @@
         else:
             dict[statepercent] = 0
-            
+
         # part_time
         res_pt = context.students_catalog(entry_session = entry_sessions, faculty = f.getId, review_state = state, mode = part_time)
@@ -106,6 +106,6 @@
             dict[statepercent] = "%.0f" % round(dict[state_pt]*100.0/dict['total_pt'])
         else:
-            dict[statepercent] = 0            
-            
+            dict[statepercent] = 0
+
     l.append(dict)
 
Index: /WAeUP_SRP/base/skins/waeup_statistics/getRetStudentStatistics.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/getRetStudentStatistics.py	(revision 2430)
+++ /WAeUP_SRP/base/skins/waeup_statistics/getRetStudentStatistics.py	(revision 2431)
@@ -18,5 +18,5 @@
 logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 if not context.isStaff():
-    return 'Not allowed'
+    return
 
 entry_sessions = ('-1','94','95','96','97','98','99','00','01','02','03','04','05','0','1','2','3','4','5')
Index: /WAeUP_SRP/base/skins/waeup_statistics/getSimpleStudentStatistics.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_statistics/getSimpleStudentStatistics.py	(revision 2430)
+++ /WAeUP_SRP/base/skins/waeup_statistics/getSimpleStudentStatistics.py	(revision 2431)
@@ -18,5 +18,5 @@
 logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 if not context.isStaff():
-    return 'Not allowed'
+    return
 
 #entry_sessions = ('-1','94','95','96','97','98','99','00','01','02','03','04','05','0','1','2','3','4','5')
Index: /WAeUP_SRP/base/skins/waeup_student/search_students.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/search_students.py	(revision 2430)
+++ /WAeUP_SRP/base/skins/waeup_student/search_students.py	(revision 2431)
@@ -29,5 +29,5 @@
 
 allowed = True
-if is_anon:
+if is_anon or context.isStudent():
     allowed = False
 from Products.AdvancedQuery import Eq, Between, Le,In
Index: /WAeUP_SRP/uniben/profiles/default/rolemap.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/rolemap.xml	(revision 2430)
+++ /WAeUP_SRP/uniben/profiles/default/rolemap.xml	(revision 2431)
@@ -10,13 +10,13 @@
   </roles>
   <permissions>
-    <permission name="List folder contents" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionReader"/>
-      <role name="SectionOfficer"/>
+    <permission name="Access future portal content"
+                acquire="True">
+      <role name="Manager"/>
+      <role name="Authenticated"/>
     </permission>
-    <permission name="View" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionReader"/>
-      <role name="SectionOfficer"/>
+    <permission name="Access inactive portal content"
+                acquire="True">
+      <role name="Manager"/>
+      <role name="Authenticated"/>
     </permission>
     <permission name="Add portal content" acquire="True">
@@ -28,15 +28,24 @@
       <role name="SectionOfficer"/>
     </permission>
+    <permission name="Add portal member" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>
+    <permission name="Change subobjects order"
+                acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>
     <permission name="Delete objects" acquire="True">
       <role name="SectionManager"/>
       <role name="SectionOfficer"/>
     </permission>
-    <permission name="Change subobjects order" acquire="True">
+    <permission name="FTP access" acquire="True">
+      <role name="Manager"/>
+    </permission>
+    <permission name="List folder contents" acquire="True">
       <role name="SectionManager"/>
       <role name="SectionOfficer"/>
-    </permission>
-    <permission name="Manage properties" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionOfficer"/>
+      <role name="SectionReader"/>
     </permission>
     <permission name="List portal members" acquire="True">
@@ -44,11 +53,11 @@
       <role name="SectionOfficer"/>
     </permission>
-    <permission name="Add portal member" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionOfficer"/>
+    <permission name="List undoable changes" acquire="False">
+      <role name="Manager"/>
     </permission>
-    <permission name="Review portal content" acquire="True">
-      <role name="Owner"/>
-      <role name="Reviewer"/>
+    <permission name="Manage Portlets" acquire="False">
+      <role name="Manager"/>
+    </permission>
+    <permission name="Manage properties" acquire="True">
       <role name="SectionManager"/>
       <role name="SectionOfficer"/>
@@ -58,5 +67,18 @@
       <role name="SectionOfficer"/>
     </permission>
+    <permission name="Reply to item" acquire="True">
+      <role name="Manager"/>
+      <role name="Member"/>
+    </permission>
+    <permission name="Review portal content" acquire="True">
+      <role name="Reviewer"/>
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>
     <permission name="Set own password" acquire="True">
+      <role name="Member"/>
+    </permission>
+    <permission name="Set own properties" acquire="True">
+      <role name="Manager"/>
       <role name="Member"/>
     </permission>
@@ -64,7 +86,20 @@
       <role name="SectionManager"/>
     </permission>
+    <permission name="Use external editor" acquire="False">
+      <role name="Manager"/>
+      <role name="Member"/>
+    </permission>
     <permission name="Use mailhost services" acquire="True">
+      <role name="Anonymous"/>
       <role name="Authenticated"/>
-      <role name="Anonymous"/>
+    </permission>
+    <permission name="View" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+      <role name="SectionReader"/>
+    </permission>
+    <permission name="View management screens"
+                acquire="True">
+      <role name="Manager"/>
     </permission>
   </permissions>