Index: WAeUP_SRP/fceokene/profiles/default/rolemap.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/rolemap.xml	(revision 2430)
+++ WAeUP_SRP/fceokene/profiles/default/rolemap.xml	(revision 2432)
@@ -10,13 +10,13 @@
   </roles>
   <permissions>
-    <permission name="List folder contents" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionReader"/>
-      <role name="SectionOfficer"/>
+    <permission name="Access future portal content"
+                acquire="True">
+      <role name="Manager"/>
+      <role name="Authenticated"/>
     </permission>
-    <permission name="View" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionReader"/>
-      <role name="SectionOfficer"/>
+    <permission name="Access inactive portal content"
+                acquire="True">
+      <role name="Manager"/>
+      <role name="Authenticated"/>
     </permission>
     <permission name="Add portal content" acquire="True">
@@ -28,15 +28,24 @@
       <role name="SectionOfficer"/>
     </permission>
+    <permission name="Add portal member" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>
+    <permission name="Change subobjects order"
+                acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>
     <permission name="Delete objects" acquire="True">
       <role name="SectionManager"/>
       <role name="SectionOfficer"/>
     </permission>
-    <permission name="Change subobjects order" acquire="True">
+    <permission name="FTP access" acquire="True">
+      <role name="Manager"/>
+    </permission>
+    <permission name="List folder contents" acquire="True">
       <role name="SectionManager"/>
       <role name="SectionOfficer"/>
-    </permission>
-    <permission name="Manage properties" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionOfficer"/>
+      <role name="SectionReader"/>
     </permission>
     <permission name="List portal members" acquire="True">
@@ -44,11 +53,11 @@
       <role name="SectionOfficer"/>
     </permission>
-    <permission name="Add portal member" acquire="True">
-      <role name="SectionManager"/>
-      <role name="SectionOfficer"/>
+    <permission name="List undoable changes" acquire="False">
+      <role name="Manager"/>
     </permission>
-    <permission name="Review portal content" acquire="True">
-      <role name="Owner"/>
-      <role name="Reviewer"/>
+    <permission name="Manage Portlets" acquire="False">
+      <role name="Manager"/>
+    </permission>
+    <permission name="Manage properties" acquire="True">
       <role name="SectionManager"/>
       <role name="SectionOfficer"/>
@@ -58,5 +67,18 @@
       <role name="SectionOfficer"/>
     </permission>
+    <permission name="Reply to item" acquire="True">
+      <role name="Manager"/>
+      <role name="Member"/>
+    </permission>
+    <permission name="Review portal content" acquire="True">
+      <role name="Reviewer"/>
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>
     <permission name="Set own password" acquire="True">
+      <role name="Member"/>
+    </permission>
+    <permission name="Set own properties" acquire="True">
+      <role name="Manager"/>
       <role name="Member"/>
     </permission>
@@ -64,7 +86,20 @@
       <role name="SectionManager"/>
     </permission>
+    <permission name="Use external editor" acquire="False">
+      <role name="Manager"/>
+      <role name="Member"/>
+    </permission>
     <permission name="Use mailhost services" acquire="True">
+      <role name="Anonymous"/>
       <role name="Authenticated"/>
-      <role name="Anonymous"/>
+    </permission>
+    <permission name="View" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+      <role name="SectionReader"/>
+    </permission>
+    <permission name="View management screens"
+                acquire="True">
+      <role name="Manager"/>
     </permission>
   </permissions>